Bug 1274304 - Clone Repository dialog doesn't show new org. units
Clone Repository dialog doesn't show new org. units
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity medium
: ER5
: 6.2.0
Assigned To: manstis
Marián Macik
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-22 09:07 EDT by Jiri Locker
Modified: 2015-11-03 08:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Locker 2015-10-22 09:07:46 EDT
Description of problem:
When I create a new org. unit and then want to clone a repository into it, the new org. unit is not listed in the clone dialog.

Version-Release number of selected component (if applicable):
6.2.0.ER4

How reproducible:
-

Steps to Reproduce:
1. Create a new org. unit in Administration perspective.
2. Select Repositories -> Clone repository

Actual results:
The Clone Repository dialog has a mandatory Organizational Unit dropdown which doesn't contain the new org. unit.

Expected results:
It should be possible to select the new org. unit in Clone Repository dialog.

Additional info:
Comment 1 Jiri Locker 2015-10-22 13:15:14 EDT
A few additional pieces of information that may help finding the root cause:

- It has been broken since at least ER1.
- The dialog doesn't submit the form upon hitting Enter.
- The dialog isn't being cleaned up after submitting (i.e. when cloning another repository, it contains the previously submitted data).

So there is probably something wrong with the initialization (e.g. one instance created upon first access to administration and then reused over and over without updating it).
Comment 9 Kris Verlaenen 2015-11-02 08:59:25 EST
I don't believe this has anything to do (directly) with asset mgmt.
Comment 10 Marián Macik 2015-11-03 08:17:07 EST
Verified with 6.2.0.ER5.

Note You need to log in before you can comment on or make changes to this bug.